#include "SgluonResonance.h"
//==========================================================================

// Initialize constants.

SgluonResonance::SgluonResonance() {
} 

SgluonResonance::SgluonResonance(int idResonanceIn) {
  initBasic(idResonanceIn);
} 

SgluonResonance::~SgluonResonance() {
} 

void SgluonResonance::initConstants() {

  // Dummy normalization of couplings to the allowed decay channels.
  widthSgluon2gg = 2.e-9;
  widthSgluon2tt = 2.e-9;
  widthSgluon2bb = 2.e-9; 
}

//--------------------------------------------------------------------------

// Calculate width for currently considered channel.

void SgluonResonance::calcWidth(bool) {

  // Expression for Sgluon -> g g  
  if (id1Abs == 21) widNow = widthSgluon2gg; 

  // Expression for Sgluon -> t tbar
  else if (id1Abs == 6 ) 
    widNow = widthSgluon2tt; 

  // Expression for Sgluon -> b bbar
  else if (id1Abs == 5) widNow = widthSgluon2bb; 

}
 
