#ifndef SGLUONRESONANCE_H
#define SGLUONRESONANCE_H

#include "ResonanceWidths.h"
// The SgluonResonance class handles a sgluon decay

class SgluonResonance : public Pythia8::ResonanceWidths {

public:

  // Constructors (only the second one is used with argument PDGID) 
  SgluonResonance();
  SgluonResonance(int);

  //destructor
  ~SgluonResonance();

private: 

  // Locally stored properties and couplings.
  double widthSgluon2gg, widthSgluon2tt, widthSgluon2bb;
 
  // Initialize constants.
  virtual void initConstants(); 
 
  // Calculate various common prefactors for the current mass.
  // Superfluous here, so skipped.
  //virtual void calcPreFac(bool = false);

  // Calculate width for currently considered channel.
  virtual void calcWidth(bool = false);

};
#endif

