#ifndef SIGMA2SGLUONSGLUONBASE_H
#define SIGMA2SGLUONSGLUONBASE_H
// A common class for the Sgluons

#include "ParticleData.h"

using namespace Pythia8;

class Sigma2SgluonSgluonBase {

 public:

  //Constructor
  Sigma2SgluonSgluonBase();
  Sigma2SgluonSgluonBase(int);

  //Destructor
  virtual ~Sigma2SgluonSgluonBase();

  // the differential cross sections 
  virtual double dsigmadcostheta(double);

  //utility factor from dsigma/dcos(theta) to dsigma/dt
  double convFactordsigmadcostheta2dsigmadt(double, double);

  // utility for the integration over costheta
  double integrate(double,double,double);

 protected:
  // Store flavour-specific process information and standard prefactor.
  int    m_idsgluon, m_idsgluonBar;
  double m_sigma;

  // Pointer to properties of Theta, to access mass
  ParticleDataEntry* m_particlePtr;

 private:

};
#endif

