#ifndef SIGMASGLUONPAIRS_H
#define SIGMASGLUONPAIRS_H
//==========================================================================
#include "Sigma2SgluonSgluonBase.h"
#include "SigmaProcess.h"

// A derived class for q qbar -> sgluon sgluonBar

using namespace Pythia8;

class Sigma2qqbar2sgluonsgluonBar : public Sigma2Process, Sigma2SgluonSgluonBase {

public:

  // Constructor (only second one should be used)
  Sigma2qqbar2sgluonsgluonBar();
  Sigma2qqbar2sgluonsgluonBar(int);


  //Destructor
  ~Sigma2qqbar2sgluonsgluonBar();

  // Initialize process. 
  virtual void initProc(); 

  // Calculate flavour-independent parts of cross section.
  virtual void sigmaKin();

  // Evaluate sigmaHat(sHat). Assumed flavour-independent so simple. 
  virtual double sigmaHat();

  // the final state particles are massive
  virtual int    id3Mass() const;
  virtual int    id4Mass() const;

  // Select flavour, colour and anticolour.
  virtual void setIdColAcol();

  // Info on the subprocess.
  virtual string name()       const;
  virtual int    code()       const;
  virtual string inFlux()     const;
  virtual int    resonanceA() const;

  // here we implement the real differential cross section
  double dsigmadcostheta(double);

private:

};


//--------------------------------------------------------------------------

// A derived class for g g  -> sgluon sgluonBar

class Sigma2gg2sgluonsgluonBar : public Sigma2Process, Sigma2SgluonSgluonBase {

public:

  // Constructor only second one should be used
  Sigma2gg2sgluonsgluonBar();
  Sigma2gg2sgluonsgluonBar(int);

  // Destructor.
  ~Sigma2gg2sgluonsgluonBar();

  // Initialize process. 
  virtual void initProc(); 

  // Calculate flavour-independent parts of cross section.
  virtual void sigmaKin();

  // Evaluate sigmaHat(sHat). Assumed flavour-independent so simple. 
  virtual double sigmaHat();

  // the final state particles are massive
  virtual int    id3Mass() const;
  virtual int    id4Mass() const;

  // Select flavour, colour and anticolour.
  virtual void setIdColAcol();

  // Info on the subprocess.
  virtual string name()       const;
  virtual int    code()       const;
  virtual string inFlux()     const;
  virtual int    resonanceA() const;

  // here we implement the real differential cross section
  double dsigmadcostheta(double);

private:

};

#endif
